Loading...
Searching...
No Matches
peptide.h File Reference

peptide model More...

`#include <vector>`
`#include <memory>`
`#include <QString>`
`#include "../amino_acid/aa.h"`
`#include "peptideinterface.h"`
`#include <cstdint>`
`#include "../exportinmportconfig.h"`

Go to the source code of this file.

## Classes

class | pappso::Peptide

## Namespaces

namespace | pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Typedefs

typedef std::shared_ptr< Peptide > | pappso::NoConstPeptideSp

## Enumerations

enum class | pappso::PeptideDirection : std::int8_t { pappso::Nter = 0 , pappso::Cter = 1 }
enum class | pappso::PeptideIonNter { pappso::b , pappso::bstar , pappso::bo , pappso::a , pappso::astar , pappso::ao , pappso::bp , pappso::c }
enum class | pappso::PeptideIonCter { pappso::y , pappso::ystar , pappso::yo , pappso::z , pappso::yp , pappso::x }

## Functions

bool | pappso::peptideIonIsNter (PeptideIon ion_type)
| tells if an ion is Nter
bool | pappso::peptideIonTypeIsComplement (PeptideIon ion_type_ref, PeptideIon ion_type)
| tells if an ion type is the complement ion of the other
PeptideDirection | pappso::getPeptideIonDirection (PeptideIon ion_type)
| get the direction of a peptide ion

## Detailed Description

peptide model

Date
  7/3/2015

Author
  Olivier Langella

Definition in file peptide.h.